:
# afterinstall.sh, by Rodney W. Grimes (rgrimes@agora.rain.com)
#
# version 0.2.3-B1 patchkit, 18 Apr 93 Rodney W. Grimes
#	New version number for patchkit release
#
# version 0.2.3-A5 patchkit, 10 Apr 93 Rodney W. Grimes
#	Added /patch/bin to path to make recursion work,
#	Changed Jordan date to be GMT +8, some confusion may arise, maybe
#	we need to start time stamping against GMT time.
#
# version 0.2.3-A4 patchkit, 10 Apr 93 Jordan Hubbard
#	Added progress log and message telling users where to find it.
#
# version 0.2.3-A2 patchkit, 06 Apr 93
#	Added explicit path to keep Jordan from getting gnu tools, it
#	will probably save a few other people too.
#
# version 0.2.3-Alpha patchkit, 04 Apr 93
#
#
# This shell script should be run after all the patches have been
# applied.  It cleans up some problems that can not be handled with
# the patchkit right now.  It also does some of the VERY IMPORTANT
# source file propogation that people forget, like /usr/src/include!
#
# Nail our path down
#
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/patch/bin

# Set our default log file
LOGFILE=/usr/src/afterinstall.OUT

#
# If our stdout is a terminal, take precautions in tee'ing our output
# to a file, otherwise assume that user has already redirected or tee'd
# our output and wouldn't welcome any attempt to override this.
#
if [ -t ]; then
	# We're being run interactively.
	if [ x$1 != "x-slave" ]; then
		# Do it just once..
1>&2 echo "------------------------------------------------------------------"
1>&2 echo "Since you are running this script interactively, the output of"
1>&2 echo "the afterinstall process is being automatically logged to the file:"
1>&2 echo
1>&2 echo "               " $LOGFILE
1>&2 echo
1>&2 echo "You may find it useful to look through this file after this script is"
1>&2 echo "completed, since it will NOT terminate upon encountering any errors"
1>&2 echo "and potentially valuable information may scroll off your screen!"
1>&2 echo "------------------------------------------------------------------"
1>&2 echo
		$0 -slave $* | tee $LOGFILE
		exit $?
	else
		shift
	fi
fi
	
#
# the owner is wrong on /var/spool/lock, this keeps tip from working
# also /dev/com*, this should really be a fix to /dev/MAKEDEV
#
chown uucp /var/spool/lock
chown uucp /dev/com*
#
#
# /etc/termcap is missing, the core distribution does not depend on
# it but a lot of public software looks for it there.  Create a link
# if there is nothing called /etc/termcap.
#
if test ! -f /etc/termcap
then
	ln -s /usr/share/misc/termcap /etc/termcap
fi
#
#
# bad modes on /tmp and /var/tmp keep normal users from doing much.
#
chmod 1777 /tmp
chmod 1777 /var/tmp
#
#
# These are some symlinks that got shipped with 0.1 that don't
# get used, and point to non existent stuff, except you could
# point some of them at othersrc, but since we are not supporting
# othersrc, just poof them.
#
rm -f /usr/src/usr.bin/gdb/ngdb.i386/machine
rm -f /usr/src/usr.bin/gdb/ngdb.i386/sys
rm -f /usr/src/usr.bin/gdb/ngdb.i386/vm
rm -f /usr/src/usr.sbin/sendmail/doc/07.sendmailop
rm -f /usr/src/usr.sbin/sendmail/doc/16.sendmail
rm -f /usr/src/usr.sbin/sendmail/doc/op.me
#
# IMPORTANT PROPOGATION STUFF SO THAT WE DON"T GET A MILLION BUG REPORTS
# ABOUT NOT BEING ABLE TO BUILD STUFF!
#
cd /usr/src/include;		make install;
cd /usr/src/share/mk;		make install;
cd /usr/src/usr.sbin/config;	make clean; make; make install; make clean;
cd /usr/src/libexec/bugfiler;	make clean; make; make install; make clean;
#
#
# 386bsd seems to have a problem if you install over the running init, it
# leaves you with a dirty file system and sometimes init gets wiped out.
# I added the mv /sbin/init /sbin/init.old to take care of this.
#
cd /usr/src/sbin/init;		make clean; make; mv /sbin/init /sbin/init.old;
				make install; make clean;
#
# This one is needed to fix /dev/std{in, out, err} and /dev/fd/*
# maybe we should rebuild them all, but that might damage someones machine
# that has special stuff on it.
#
cd /dev;			sh MAKEDEV std;
#
#
echo "README README README README README README README README README README"
echo ""
echo "NOTE: There have been MANY CHANGES to the GENERICISA KERNEL, you"
echo "      may want to look at it if you are using a copy of it for your"
echo "      kernel."
echo ""
echo "It is recomended that you follow these steps to rebuild your kernel"
echo "at this time:"
echo ""
echo "          rm -r /sys/compile/*			#HIGHLY RECOMMENDED!"
echo "          cd /sys/i386/conf"
echo "          config YOUR_KERNEL_NAME"
echo "          cd /sys/compile/YOUR_KERNEL_NAME"
echo "          make depend"
echo "          make"
echo "          mv /386bsd /386bsd.old"
echo "          cp 386bsd /386bsd"
echo "          sync; sync; sync;"
echo "          reboot"
echo ""
echo "Please do this before attempting to run buildworld.sh"
echo ""
echo "README README README README README README README README README README"
