:
# buildworld.sh, by Rodney W. Grimes (rgrimes@agora.rain.com)
#
# version 0.2.3-B1 patchkit, 18 Apr 93	Rodney W. Grimes
#	New version number for patchkit release
#
# version 0.2.3-A8 patchkit, 14 Apr 93	Rodney W. Grimes
#	Found the correct fix, just build and install the devices
#	directory from groff.  No need to rebuild it all.  And
#	it must be done very early, ie before any manual pages are
#	groffed.
#
# version 0.2.3-A7 patchkit, 14 Apr 93	Rodney W. Grimes
#	Arghhh, PATH needs /usr/local/bin for bc for groff!  Revision
#	A6 is not the correct fix, but I left it in, as some people
#	probably still have a trashed /usr/share/groff_fonts directory.
#
# version 0.2.3-A6 patchkit, 11 Apr 93	Rodney W. Grimes
#	Seems that groff needs rebuilt to make all the manual stuff
#	work right.  Added as an early propogation rebuild, probably
#	not the whole thing needs rebuilt, but I felt this to be the
#	safest thing to do.
#
# version 0.2.3-A5 patchkit, 10 Apr 93	Rodney W. Grimes
#	Added /patch/bin to path to allow recursion to work, changed
#	Jordans date stamp to be GMT+8, maybe time to start TIME
#	stamping against GMT +0
#
# version 0.2.3-A4 patchkit, 10 Apr 93	Jordan Hubbard
#	Added progress log and message telling users where to find it.
#
# version 0.2.3-A3 patchkit, 07 Apr 93
#	Added commands to rebuild whatis.db
#	Added explicit path to keep Jordan from getting gnu tools, it
#	will probably save a few other people too.
#	set and exproted NOPROFILE to stop building the profiled libraryies,
#	if people want them they normally have to build them themselfs anyway
#
# version 0.2.3-A2 patchkit, 06 Apr 93
# 	Added echo messages, now does the important propogation stuff
#	that was in afterinstall, just to make sure people don't forget it.
#
#	changed make to make all, changed, make; make install to use &&
#	added -k to many makes so that they continue on error, and get as
#	much done as possible..
#
# version 0.2.3-Alpha patchkit, 04 Apr 93
#
# version 0.2.2 patchkit, 18 Mar 93
#
#
# Nail our path down
#
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin:/patch/bin
#
# Set our default log file
LOGFILE=/usr/src/buildworld.OUT

#
# If our stdout is a terminal, take precautions in tee'ing our output
# to a file, otherwise assume that user has already redirected or tee'd
# our output and wouldn't welcome any attempt to override this.
#
if [ -t ]; then
	# We're being run interactively.
	if [ x$1 != "x-slave" ]; then
		# Do it just once..
1>&2 echo "------------------------------------------------------------------"
1>&2 echo "Since you are running this script interactively, the output of"
1>&2 echo "the build process is being automatically logged to the file:"
1>&2 echo
1>&2 echo "               " $LOGFILE
1>&2 echo
1>&2 echo "You may find it useful to look through this file after this script is"
1>&2 echo "completed, since it will NOT terminate upon encountering any errors"
1>&2 echo "and potentially valuable information may scroll off your screen!"
1>&2 echo "------------------------------------------------------------------"
1>&2 echo
		$0 -slave $* | tee $LOGFILE
		exit $?
	else
		shift
	fi
fi
	
NOPROFILE=
export NOPROFILE
#
# Get the source tree clean so that every thing gets built and setup
# the obj links.  This completely rebuilds /usr/obj!  And removes all
# the old tags and .depend files.
#
echo "------------------------------------------------------------------"
echo "**** Cleaning up the source tree, and rebuilding the obj tree ****"
echo "------------------------------------------------------------------"
echo
cd /usr/obj;	rm -rf *;
cd /usr/src;	find . -name obj -exec rm -rf {} \;
cd /usr/src;	make cleandir;
cd /usr/src;	make obj;
#
#
# Last miniute hack to get around bugs in groff/devices/devdvi and devps
# Makefiles.
rm -f /usr/src/usr.bin/groff/devices/devdvi/obj
rm -f /usr/src/usr.bin/groff/devices/devps/obj
#
#
# Need to do the mk makefiles, include files, libraries and certain tools first,
# so that they get propogated into the new builds.  This should remove the need
# to do a build TWICE to propogate every thing.  As these are the ones that
# normally need to be propogated twice.
#
echo "-------------------------------------------------------------"
echo "****                   S T A G E    1                    ****"
echo "**** Doing critical first files so that things propogate ****"
echo "-------------------------------------------------------------"
echo
cd /usr/src/share/mk;		(make install)
cd /usr/src/include;		(make install)
cd /usr/src/usr.bin/groff;
cd devices;			(make -k all && make -k install && make clean)
cd /usr/src/lib;		(make -k all && make -k install && make clean)
cd /usr/src/usr.bin/gcc;	(make -k all && make -k install && make clean)
cd /usr/src/usr.bin/make;	(make -k all && make -k install && make clean)
#
#
# And now the BIG ONE!!  Note that the build tree is assumed to be
# clean here, and it should be if the above steps were done!
#
echo "---------------------------------------------------------------------"
echo "****                       S T A G E    2                        ****"
echo "**** Doing the make (depend, all, install) go take a nap or two! ****"
echo "---------------------------------------------------------------------"
echo
cd /usr/src;			(make -k depend && make -k all && \
				 make -k install)
cd /usr/src/share/man;		make makedb
